Articles of yum

RPM installé mais non installé RHEL6

J'essaie de résoudre une seule dépendance. Étant donné que RHEL6 ne contient pas python-2.4.3, j'ai téléchargé le package de RHEL5 et l'ai placé dans notre propre référentiel. Ensuite, lors de l'installation: … —> Package cppunit.x86_64 0:1.12.0-4.el5.1 will be installed —> Package mx.x86_64 0:2.0.6-2.2.2 will be installed –> Processing Dependency: python(abi) = 2.4 for package: mx-2.0.6-2.2.2.x86_64 […]

Installation d'un package plus récent que ce qu'il y a dans les repositorys RHEL

Quelle est la meilleure façon pour RHEL d'installer une version plus récente d'un package que dans les repositorys? Dans Ubuntu, je peux simplement append le repo pour une version plus récente d'Ubuntu, installer le package avec apt, puis désactiver le nouveau count, mais avec RHEL et avoir à save le système avec RHN, je ne […]

Script d'installation Bash qui correspond à tous les arômes Linux courants

Le chef m'a demandé de créer un script bash qui pourrait installer les binarys Apache, PHP et MySQL (AMP) dans une boîte Linux (juste quelques exemples communs de linux). Comstackr et installer tout par les sources malheureusement n'est pas une option. Alors, je dois le faire. J'ai pensé à une solution possible: essayez de greper […]

Comment installer la version demo de marionnette à partir de yum?

Dans /etc/yum.repos.d/puppet.repo ai-je mis [puppetlabs] name=Puppet Labs Packages baseurl=http://yum.puppetlabs.com/el/$releasever/devel/$basearch/ enabled=1 gpgcheck=1 gpgkey=http://yum.puppetlabs.com/RPM-GPG-KEY-puppetlabs [puppetlabs] [puppetlabs] name=Puppet Labs Packages baseurl=http://yum.puppetlabs.com/el/$releasever/devel/$basearch/ enabled=1 gpgcheck=1 gpgkey=http://yum.puppetlabs.com/RPM-GPG-KEY-puppetlabs nom = packages de laboratoires de marionnettes [puppetlabs] name=Puppet Labs Packages baseurl=http://yum.puppetlabs.com/el/$releasever/devel/$basearch/ enabled=1 gpgcheck=1 gpgkey=http://yum.puppetlabs.com/RPM-GPG-KEY-puppetlabs baseurl = http: //yum.puppetlabs.com/el/$releasever/devel/$basearch/ [puppetlabs] name=Puppet Labs Packages baseurl=http://yum.puppetlabs.com/el/$releasever/devel/$basearch/ enabled=1 gpgcheck=1 gpgkey=http://yum.puppetlabs.com/RPM-GPG-KEY-puppetlabs et quand je le fais yum info […]

Comment installer "last" dans centos?

Lorsque j'ai essayé d'exécuter le last pour get des users récemment identifiés, j'ai eu une erreur: -bash: last: command not found Alors, comment puis-je l'installer? J'utilise centos 7.0. Désolé si c'est une question simple, mais je ne trouve pas de réponse en ligne.

Yum repos est interrompu après l'installation de Jenkins

J'ai installé apache et jenkins, maintenant, quand je cours les commands yum, j'ai des erreurs de repo. Je suis nouveau pour les roux, alors je me moque de voir où je vais en panne. Voici un exemple d'essayer d'installer git: # yum install git Loaded plugins: security file:///mnt/cdrom/Server/repodata/repomd.xml: [Errno 5] OSError: [Errno 2] No such […]

Ansible + pourquoi yum ne pas installer la dernière version

Je suis installé avec succès l'outil Ansible du repository de yum comme yum install Ansible Ansible est un excellent outil encore plus que la marionnette À partir du site – http://docs.ansible.com/ansible/intro_installation.html#getting-ansible mais après l'installation de yum, je vois que le ansible n'est pas la dernière version ansible –version ansible 1.1 ansible –version ansible –version ansible […]

La mise à jour de 'yum' fera-t-elle COMMIT dans iptables en mise à jour?

J'ai un package RPM dont j'ai besoin de mettre à jour sur le server de production avec certaines règles iptables client, et ma version précédente du package comporte des règles personnalisées sysconfig / iptables. La nouvelle version de mon package n'a pas ces règles, donc je suppose que le process de mise à jour supprimera […]

Pourquoi la mise à jour de yum échoue dans cent os 6.4 lorsque wget et curl réussissent

J'utilise Cent OS 6.4 dans un laboratoire d'entreprise et la mise à jour de yum échoue avec l'erreur ci-dessous: Je peux accéder aux mêmes référentiels via le browser. [root @ LAB1 ~] # yum update Plugins chargés: refresh-packagekit, security base | 3.7 kB 00:00 http://centosmirror.go4hosting.in/centos/6.4/os/x86_64/repodata/1e584feac3f3fb76ad4b6fb7e1bc8d44fa124814e9d186dc913ded3c63a216b3-primary.sqlite.bz2: [Errno 12] Timeout sur http://centosmirror.go4hosting.in/centos/6.4/os/ x86_64 / repodata / 1e584feac3f3fb76ad4b6fb7e1bc8d44fa124814e9d186dc913ded3c63a216b3-primary.sqlite.bz2: […]

Openoffice yum repo pour RHEL 5?

Nous devons exécuter Openoffice en tant que service afin que unoconv puisse être utilisé, convertir des documents Word en PDF. Tous les repositorys yum pour Openoffice dans le server RHEL 5 ?